Bug 29611 - Clubs enrollment layout problem in the OPAC
Summary: Clubs enrollment layout problem in the OPAC
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-12-01 15:42 UTC by Owen Leonard
Modified: 2021-12-22 21:38 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
This fixes a minor HTML issue with the clubs enrollment form in the OPAC. The "Finish enrollment" button is now positioned correctly inside the bordered area and uses standard colors.
Version(s) released in:
22.05.00,21.11.01,21.05.08


Attachments
Screenshot of the problem (17.71 KB, image/png)
2021-12-01 15:42 UTC, Owen Leonard
Details
Bug 29611: Clubs enrollment layout problem in the OPAC (1.94 KB, patch)
2021-12-01 15:54 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29611: Clubs enrollment layout problem in the OPAC (1.98 KB, patch)
2021-12-01 20:19 UTC, David Nind
Details | Diff | Splinter Review
Bug 29611: Clubs enrollment layout problem in the OPAC (2.06 KB, patch)
2021-12-02 07:34 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-12-01 15:42:19 UTC
Created attachment 128135 [details]
Screenshot of the problem

When a user enrolls in a club via the OPAC the enrollment form looks broken because the "Finish" button is outside of the container the form is in.
Comment 1 Owen Leonard 2021-12-01 15:54:43 UTC
Created attachment 128136 [details] [review]
Bug 29611: Clubs enrollment layout problem in the OPAC

This patch makes a minor change to the HTML of the clubs enrollment form
in the OPAC so that the layout works better.

To test you should have at least one club available which allows public
enrollment. The club should have at least one enrollment field
configured.

- Apply the patch and log in to the OPAC.
- On the "Your summary" page, click the "Clubs" tab.
- Click "Enroll" next to the club you configured.
- You should see an enrollment form with the field(s) you configured.
- The "Finish enrollment" button should be styled green and should be
  positioned inside the box which delineates the Clubs tab.
Comment 2 David Nind 2021-12-01 20:19:23 UTC
Created attachment 128140 [details] [review]
Bug 29611: Clubs enrollment layout problem in the OPAC

This patch makes a minor change to the HTML of the clubs enrollment form
in the OPAC so that the layout works better.

To test you should have at least one club available which allows public
enrollment. The club should have at least one enrollment field
configured.

- Apply the patch and log in to the OPAC.
- On the "Your summary" page, click the "Clubs" tab.
- Click "Enroll" next to the club you configured.
- You should see an enrollment form with the field(s) you configured.
- The "Finish enrollment" button should be styled green and should be
  positioned inside the box which delineates the Clubs tab.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Jonathan Druart 2021-12-02 07:34:15 UTC
Created attachment 128147 [details] [review]
Bug 29611: Clubs enrollment layout problem in the OPAC

This patch makes a minor change to the HTML of the clubs enrollment form
in the OPAC so that the layout works better.

To test you should have at least one club available which allows public
enrollment. The club should have at least one enrollment field
configured.

- Apply the patch and log in to the OPAC.
- On the "Your summary" page, click the "Clubs" tab.
- Click "Enroll" next to the club you configured.
- You should see an enrollment form with the field(s) you configured.
- The "Finish enrollment" button should be styled green and should be
  positioned inside the box which delineates the Clubs tab.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Fridolin Somers 2021-12-11 07:19:58 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 5 Kyle M Hall 2021-12-17 13:41:12 UTC
Pushed to 21.11.x for 21.11.01
Comment 6 Andrew Fuerste-Henry 2021-12-17 20:10:58 UTC
Pushed to 21.05.x for 21.05.08
Comment 7 Victor Grousset/tuxayo 2021-12-22 21:38:30 UTC
Not backported to oldoldstable (20.11.x). Feel free to ask if it's needed.